@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

$my-light-blue: #72C0BD;

*{
    
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 10px;
    //border: 1px solid;
}
body {
    width: 100%;
    height: 100vh;
    font-family: 'Roboto', sans-serif;
}

#logo{
    font-family: 'Dancing Script', cursive;
    font-size: 4rem;
    color: white;
    text-shadow: 2px 2px 2px $my-light-blue;
}

header{
    position: fixed;
    width: 100%;
    top: 0;
    display: flex;
    padding: 1vw 3vw;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(15deg, #362469, #13547a, #80d0c7);
    nav{
        ul{
            display: flex;
            justify-content: center;
            a{
                border: 4px solid transparent;
                margin-left: 2vw;
                list-style: none;
                text-decoration: none;
                li{
                    
                    color: white;
                    font-size: 2rem;
                    font-weight: 1000;
                    text-shadow: 2px 2px 3px #13547a;
                }
                align-self: center;
                padding: 0.3em 3em;
                &:hover{
                    border: 4px solid white;
                    border-radius: 1vh;
                    box-shadow: 2px 2px 3px #80d0c7;
                    transform: scale(1.1);
                    transition: transform 0.2s;
                }
            }
        }

    }
}



main{
    #welcome-section{
      height: calc(100vh);
      background-color: rgb(255, 255, 255);
      padding-top: calc(2vw + 4.8em);
      display: flex;
      justify-content: space-between;
      div:nth-child(1){
        min-width: 600px;
        background-image: linear-gradient($my-light-blue, #13547a, #362469);
        background-size: 100%;
        background-repeat: repeat;
        background-clip: text;
        -webkit-text-fill-color: transparent;              
      
        align-self: center;
        padding-left: 5vw;
        p{
          font-size: 7rem;
          
        }
        h1{
          font-size: 10rem;
          font-size: bold;
        }
        div>p{
          font-size: 3rem;
        }
      }
      .images{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 50% 50% ;
        padding: 30px;
        margin-right: 5vw;
        #developer{
          grid-column: 1/3;
          grid-row: 1/3;
          min-width: 300px;
          align-self: center;
          justify-self: center;
        }
        #mechanical{
          grid-column: 3/4;
          grid-row: 1/2;
          width: 100%;
          align-self: center;
          justify-self: center;
        }
        #robotics{
          grid-column: 3/4;
          grid-row: 2/3;
          height: 90%;
          align-self: center;
          justify-self: center;
        }
      }
    }
}



#skills{
  height: calc(100vh);
  background-image: url("https://cdn.mos.cms.futurecdn.net/pn9Cm7esDZqmmZRHeEBsSf-970-80.jpg.webp");
  background-repeat: no-repeat;
  background-size: cover;

  .container{
    width: 100vw;
    height: 100vh;
    background: radial-gradient($my-light-blue,#362469aa);
    padding-top: calc(2vw + 4.8em);
    padding-left: 10vw;
    padding-right: 10vw;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    div{
      div:first-child{
        background: linear-gradient(15deg, #362469, #13547a, #80d0c7)   ;
        border-radius: 30px 30px 0 0;
        text-align: center;
        *{
          font-size: 4rem;
          color: aliceblue;
          padding: 20px;
        }
      }
      div:nth-child(2){
        background: white;
        text-align: center;
        p{
          font-size: 3rem;
          line-height: 2;
        }
      }
    }
  }

  
  
}

@media (max-width: 1650px) {
  .images{
    display: grid;
    grid-template-columns: unset;
    grid-template-rows: 1fr 1fr 1fr ;
    padding: 30px;
    margin-right: 5vw;
    #developer{
      grid-column: unset;
      grid-row: 1/2;
      height: 33vh;
      align-self: center;
      justify-self: center;
    }
    #mechanical{
      grid-column: unset;
      grid-row: 2/3;
      width: 33vh;
      align-self: center;
      justify-self: center;
    }
    #robotics{
      grid-column: unset;
      grid-row: 3/4;
      height: 33vh;
      align-self: center;
      justify-self: center;
    }
  }
}

@media (max-width: 1000px) {
  #welcome-section{
    align-items: center;
    flex-direction: column;
  }
  .images{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows:  unset;
    padding: 30px;
    margin-right: 5vw;
    #developer{
      grid-column: 1/2;
      grid-row: unset;
      height: 33vh;
      align-self: center;
      justify-self: center;
    }
    #mechanical{
      grid-column: 2/3;
      grid-row: unset;
      width: 33vh;
      align-self: center;
      justify-self: center;
    }
    #robotics{
      grid-column: 3/4;
      grid-row: unset;
      height: 33vh;
      align-self: center;
      justify-self: center;
    }
  }
}